### Method

# Gtk Snapshotappend_repeating_linear_gradient

#### Declaration [src]

    void
    gtk_snapshot_append_repeating_linear_gradient (
      GtkSnapshot* snapshot,
      const graphene_rect_t* bounds,
      const graphene_point_t* start_point,
      const graphene_point_t* end_point,
      const GskColorStop* stops,
      gsize n_stops
    )

#### Description [src]

Appends a repeating linear gradient node with the given stops to `snapshot`.

#### Parameters

`bounds`

  Type: `graphene_rect_t`

  The rectangle to render the linear gradient into.

  The data is owned by the caller of the method.

`start_point`

  Type: `graphene_point_t`

  The point at which the linear gradient will begin.

  The data is owned by the caller of the method.

`end_point`

  Type: `graphene_point_t`

  The point at which the linear gradient will finish.

  The data is owned by the caller of the method.

`stops`

  Type: An array of `GskColorStop`

  The color stops defining the gradient.

  The length of the array is specified in the `n_stops` argument.
  The data is owned by the caller of the method.

`n_stops`

  Type: `gsize`

  The number of elements in `stops`.